package com.kim.apidoc.core.common.description;

/**
 * 字符串类型
 */
public class StringTypeDescription extends TypeDescription {

    /**
     * Instantiates a new String type description.
     *
     * @param type         the type
     * @param charSequence the char sequence
     */
    public StringTypeDescription(String type, CharSequence charSequence) {
        this.type = type;
        value = charSequence.toString();
    }

    @Override
    public String getValue() {
        return (String) value;
    }
}
